| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfECFEntry Struct Reference

ECF Entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__DOW | DayOfWeek
| The day of the week to which the forwarding data defined in this entry applies. More...
xsd__time | StartTime
| The time at which the forwarding data defined in this entry applies, in subscriber's local timezone. More...
xsd__time | StopTime
| The time at which the forwarding data defined in this entry no longer applies, in subscriber's local timezone. More...
enum unsp__CallFwdTypes | CallFwdType
| The type of call forwarding performed for this entry. More...
enum unsp__ScreeningListOption | ScreeningListOption
| Indicates which calls will be forwarded. More...
unsp__ServiceId | ServiceId
| Indicates the destination to which calls are forwarded for the time specified in this entry. More...

## Detailed Description

ECF Entry.

## Member Data Documentation

## ◆ CallFwdType

enum unsp__CallFwdTypes unsp__CfECFEntry::CallFwdType

The type of call forwarding performed for this entry.

required: true
default value[range]: Always

## ◆ DayOfWeek

enum unsp__DOW unsp__CfECFEntry::DayOfWeek

The day of the week to which the forwarding data defined in this entry applies.

required: true
default value[range]: Sunday

## ◆ ScreeningListOption

enum unsp__ScreeningListOption unsp__CfECFEntry::ScreeningListOption

Indicates which calls will be forwarded.

required: true
default value[range]: AllNumbers

## ◆ ServiceId

unsp__ServiceId unsp__CfECFEntry::ServiceId

Indicates the destination to which calls are forwarded for the time specified in this entry.

required: true

See also
  unsp__CFTarget

## ◆ StartTime

xsd__time unsp__CfECFEntry::StartTime

The time at which the forwarding data defined in this entry applies, in subscriber's local timezone.

required: true
default value[range]: NA

## ◆ StopTime

xsd__time unsp__CfECFEntry::StopTime

The time at which the forwarding data defined in this entry no longer applies, in subscriber's local timezone.

required: true
default value[range]: NA

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h